PrivyPrivy
Sign in
  • Documentation
Back to Documentation
B2B Digital Certificate Issuance Support
OverviewChangelog
Insights API
    v1
      OverviewQuickstartEnvironmentsAuthenticationRequest FieldsScoring ResultsErrors
Face Compare API
KTP OCR API
ID Card Forgery
API Explorer
powered by Zudoku
Sign in
v1

Errors

Error responses use this structure:

Code
{ "code": 422, "status": "failed", "message": "empty selfie" }

HTTP status codes

HTTP statusMeaningCommon messages
400Request processing or service-usage update timed out.access timeout
401Credentials, content type, token, or signature could not be authenticated.invalid authorization, invalid merchant key, authentication failed, invalid content type, invalid signature
403The integration cannot use the service or has insufficient balance.forbidden, insufficient balance
422The JSON body or one of its fields is invalid.See validation messages below.
500Biometric scoring could not be completed.something went wrong
503The service is under maintenance.service is currently under maintenance

Validation messages

FieldMessages
Request bodyinvalid payload
transaction_idempty transaction_id; transaction_id length must be between 1 and 255 characters; invalid transaction_id
nikempty nik; nik length must be exactly 16 digits; invalid nik
selfieempty selfie; invalid selfie; invalid base64 selfie; invalid size selfie; invalid image type selfie
channelempty channel; channel length must be between 1 and 100; invalid channel

Correct validation errors before retrying. For server errors, keep both client_transaction_id and Privy's transaction_id when available and contact Privy support if the problem persists.

Last modified on October 23, 2026
Scoring ResultsOverview
On this page
  • HTTP status codes
  • Validation messages
JSON